> ## Documentation Index
> Fetch the complete documentation index at: https://www.commercengine.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrive data sync detail

> Retrive data sync detail



## OpenAPI

````yaml https://openapi.commercengine.io/ce-admin.json get /catalog/integration-sync
openapi: 3.1.0
info:
  title: CE Admin APIs
  version: '1.0'
  summary: Comprehensive admin interface for managing your e-commerce platform
  description: >-
    Complete administrative API suite for Commerce Engine, providing powerful
    tools to manage products, orders, customers, inventory, analytics, and
    system configuration. Designed for administrators and backend integrations
    requiring full platform control.
  license:
    name: All Rights Reserved
    url: https://www.commercengine.io/contact-us
  contact:
    email: support@commercengine.io
    url: https://www.commercengine.io/contact-us
    name: Support
servers:
  - url: https://staging.api.commercengine.io/api/v1/{store_id}/admin
    description: Staging Server
    variables:
      store_id:
        default: store_id
        description: Store ID
  - url: https://prod.api.commercengine.io/api/v1/{store_id}/admin
    description: Prod Server
    variables:
      store_id:
        default: store_id
        description: Store ID
security:
  - Authorization: []
tags:
  - name: Analytics
    description: Analytics
  - name: Catalog
    description: Catalog
  - name: Coupons & promotions
    description: Coupons & promotions
  - name: Customers
    description: Customers
  - name: Filter Options
    description: Filter Options
  - name: Inventories
    description: Inventories
  - name: Marketplace
    description: Marketplace
  - name: Marketplace Catalog
    description: Marketplace Catalog
  - name: Media Gallery
    description: Media Gallery
  - name: Metrics
    description: Metrics
  - name: Orders
    description: Orders
  - name: Payments
    description: Payments
  - name: Payouts
    description: Payouts
  - name: POS
    description: POS
  - name: POSAdmin
    description: Admin endpoints to be used as proxy in pos
  - name: Segments
    description: Segments
  - name: Shipping
    description: Shipping
  - name: SSE
    description: SSE
  - name: Store
    description: Store
  - name: Webhooks
    description: Webhooks
paths:
  /catalog/integration-sync:
    parameters: []
    get:
      tags:
        - Catalog
      summary: Retrive data sync detail
      description: Retrive data sync detail
      operationId: get-sync-status
      parameters:
        - name: destination
          in: query
          description: integration destination
          required: true
          schema:
            type: string
            enum:
              - datocms
        - name: model
          in: query
          description: model
          required: true
          schema:
            type: string
            enum:
              - product
              - category
              - bundle
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  success:
                    type: boolean
                  content:
                    properties:
                      sync_summary:
                        $ref: '#/components/schemas/CatalogDataSyncSummary'
                      sync_items:
                        type: array
                        items:
                          $ref: '#/components/schemas/CatalogDataSyncItem'
                          type: object
                      pagination:
                        $ref: '#/components/schemas/Pagination'
                    type: object
components:
  schemas:
    CatalogDataSyncSummary:
      title: CatalogDataSyncSummary
      type: object
      properties:
        last_synced_at:
          type: string
          format: date-time
        sync_status:
          enum:
            - success
            - failed
        total_items:
          type: integer
        total_items_synced:
          type: integer
      x-tags:
        - Catalog
    CatalogDataSyncItem:
      title: CatalogDataSyncItem
      type: object
      oneOf:
        - $ref: '#/components/schemas/ProductDataSync'
        - $ref: '#/components/schemas/BundleDataSync'
        - $ref: '#/components/schemas/CategoryDataSync'
      x-tags:
        - Catalog
    Pagination:
      title: Pagination
      description: pagination metadata structure
      type: object
      properties:
        total_records:
          type: integer
        total_pages:
          type: integer
        previous_page:
          description: Previous page number
          type:
            - integer
            - 'null'
        limit:
          type: integer
          default: 25
        next_page:
          description: Next page number
          type:
            - integer
            - 'null'
    ProductDataSync:
      title: ProductDataSync
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        sku:
          type: string
        listing_price:
          type: number
        selling_price:
          type: number
        image_url:
          type: string
        stock_available:
          type: boolean
        status:
          type: string
        last_synced_at:
          type: string
          format: date-time
      x-tags:
        - Catalog
    BundleDataSync:
      title: BundleDataSync
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        sku:
          type: string
        listing_price:
          type: number
        selling_price:
          type: number
        image_url:
          type: string
        stock_available:
          type: boolean
        status:
          type: string
        last_synced_at:
          type: string
          format: date-time
      x-tags:
        - Catalog
    CategoryDataSync:
      title: CategoryDataSync
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        status:
          type: string
        last_synced_at:
          type: string
          format: date-time
      x-tags:
        - Catalog
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer

````